/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workdevicerecord.entity;

import com.google.common.collect.Lists;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.modules.sys.entity.User;

import java.util.Date;
import java.util.List;

/**
 * 设备询价记录Entity
 * @author 马鹏波
 * @version 2018-06-05
 */
public class WorkDeviceXjRecord extends DataEntity<WorkDeviceXjRecord> {
	
	private static final long serialVersionUID = 1L;
	private Date askTime;		// 询价时间
	private User askUser;		// 询价人员
	private String projectId;	//项目编号
	private List<WorkDeviceRecord> workDeviceRecordList = Lists.newArrayList();  //设备清单记录
	
	public WorkDeviceXjRecord() {
		super();
	}

	public WorkDeviceXjRecord(String id){
		super(id);
	}

	public Date getAskTime() {
		return askTime;
	}

	public void setAskTime(Date askTime) {
		this.askTime = askTime;
	}

	public User getAskUser() {
		return askUser;
	}

	public void setAskUser(User askUser) {
		this.askUser = askUser;
	}

	public List<WorkDeviceRecord> getWorkDeviceRecordList() {
		return workDeviceRecordList;
	}

	public void setWorkDeviceRecordList(List<WorkDeviceRecord> workDeviceRecordList) {
		this.workDeviceRecordList = workDeviceRecordList;
	}

	public String getProjectId() {
		return projectId;
	}

	public void setProjectId(String projectId) {
		this.projectId = projectId;
	}
}